%global picture_ext png

Name:		nde-backgrounds 
Version:	1.0.0
Release:	4%{?dist}
Summary:	Desktop backgrounds for NDE

License:	LGPLv2
Source0:	%{name}-%{version}.tar.gz
BuildArch:      noarch
%if %{picture_ext} != png
BuildRequires:   ImageMagick
%endif

%define _unpackaged_files_terminate_build 0

%if 0%{?fedora}
Provides:	custom-themes
%else
Obsoletes: redhat-logos < 80.1-2
Provides:  system-backgrounds
Obsoletes: centos-backgrounds
Provides:  centos-backgrounds
%endif

%description
NewStartOS-related desktop backgrounds

%prep
%setup -q

%build
%if 0%{?fedora}
export ARCH=%{_arch}
%ifarch x86_64
make BITS=64
%endif
%ifarch i686
make BITS=32
%endif
%ifarch mips64 mips64el
make
%endif
%endif

%triggerin -- desktop-backgrounds-compat
/bin/rm -rf /usr/share/backgrounds/default.png
/bin/rm -rf /usr/share/backgrounds/images/default*
/bin/cp /usr/share/backgrounds-default/default.png /usr/share/backgrounds/ -f
/bin/cp /usr/share/backgrounds-default/images/default* /usr/share/backgrounds/images/ -f

%triggerin -- f31-backgrounds-base
/bin/rm -rf /usr/share/backgrounds/f31/


%install
/bin/rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/
cp -rf  $RPM_BUILD_DIR/%{name}-%{version}/* $RPM_BUILD_ROOT/usr/share/


%if %{picture_ext} == png
  (
  cd $RPM_BUILD_ROOT/usr/share/backgrounds-default/images;
  ln -s ../../backgrounds/nde/default/standard/nde.png		default.png
  ln -s ../../backgrounds/nde/default/normalish/nde.png		default-5_4.png
  ln -s ../../backgrounds/nde/default/tv-wide/nde.png		default-16_9.png
  ln -s ../../backgrounds/nde/default/wide/nde.png			default-16_10.png
  cd ..
  ln -s ../backgrounds/nde/default/tv-wide/nde.png		default.png
  )
%else
  (
  cd $RPM_BUILD_ROOT/usr/share/backgrounds-default/images;
  convert ../../backgrounds/nde/default/standard/nde.%{picture_ext}\
        -alpha off default.png
  convert ../../backgrounds/nde/default/normalish/nde.%{picture_ext}\
        -alpha off default-5_4.png
  convert ../../backgrounds/nde/default/tv-wide/nde.%{picture_ext}\
        -alpha off default-16_9.png
  convert ../../backgrounds/nde/default/wide/nde.%{picture_ext}\
        -alpha off default-16_10.png
  cd ..
  ln -s ./images/default-16_9.png \
        default.png
  )
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/nde-background-properties/
install -p -m 644 backgrounds-default/desktop-backgrounds-default.xml $RPM_BUILD_ROOT%{_datadir}/nde-background-properties/

%files
%defattr(-, root, root)
%dir /usr/share/backgrounds/images/others/
%dir /usr/share/backgrounds/nde/
%dir /usr/share/backgrounds-default/images/
/usr/share/backgrounds/images/others/*
/usr/share/backgrounds/nde/*
/usr/share/logos/
/usr/share/backgrounds-default/images/default*
/usr/share/backgrounds-default/default.png
/usr/share/nde-background-properties/*

%post
cp -rf  /usr/share/backgrounds-default/default.png /usr/share/backgrounds/
cp -rf  /usr/share/backgrounds-default/images/default* /usr/share/backgrounds/images/


%changelog
* Tue Jun 16 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-4
- 增加背景属性文件

* Tue May 19 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-2
- 更换默认壁纸

* Tue May 19 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 1.0.0-1
- 构建新的桌面背景包


